Opened 4 years ago

Closed 4 years ago

#50439 closed defect (invalid)

qgis @2.12.3_2 (gis) not building...

Reported by: julgp (Julio Garcia) Owned by: Veence (Vincent)
Priority: Normal Milestone:
Component: ports Version: 2.3.4
Keywords: Cc: petrrr
Port: qgis

Description

Hi,

I've been trying to install the qgis 2.12.3_2 port on a MAC environment [OS X 10.9.5 (13F1134)], but installations fails, see attached main.log Thanks, Julio

Attachments (1)

main.log (136.4 KB) - added by julgp (Julio Garcia) 4 years ago.

Download all attachments as: .zip

Change History (10)

Changed 4 years ago by julgp (Julio Garcia)

Attachment: main.log added

comment:1 Changed 4 years ago by petrrr

Owner: changed from macports-tickets@… to vince@…
Port: qgis added

Please CC the maintainer of the port in future and fill the port filed, otherwise your ticket might get little attention because the maintainer will not be notified. To avoid such errors, you are asked to read the Ticket Guidelines before submission.

comment:2 Changed 4 years ago by petrrr

Cc: petr@… added

Cc Me!

comment:3 Changed 4 years ago by petrrr

Are you installing the port from scratch or upgrading.

@vince: I noticed that the upgrade path is not clean due to the change of the dependency from qwt52 to qwt61. Maybe this would deserve some deactivation hack. However, from a quick scan through the log, this seems not to be related to this one.

comment:4 Changed 4 years ago by Veence (Vincent)

I'm sorry it's a regression. This is caused by an interference with Macports git, that you must have installed. Will fix that ASAP (or, if you're in a hurry, try 'port deactivate git', install qgis, then 'port activate git'.

comment:5 Changed 4 years ago by Veence (Vincent)

Should be fixed in r145122. Please update and try again.

comment:6 Changed 4 years ago by sandy.johan@…

Vince,

Ah, I see https://trac.macports.org/changeset/145129 fixed the problem I mentioned earlier this morning. Thanks. -S

Please ignore comment below this line, is from earlier this morning.

On my system the patch is causing the following error on a clean install of qgis:

:info:configure Parse error in command line argument: -DGIT_MARKER-NOTFOUND
:info:configure Should be: VAR:type=value
:info:configure CMake Error: No cmake script provided.
:info:configure CMake Error: Problem processing arguments. Aborting.
:info:configure

If you like I can submit a new ticket. Just wanted to quickly give you feedback and thank you for fixing the installation issue.

Last edited 4 years ago by sandy.johan@… (previous) (diff)

comment:7 Changed 4 years ago by Veence (Vincent)

I have recommitted another patch that should avoid this error. Are you sure you selfupdated?

comment:8 Changed 4 years ago by Veence (Vincent)

Okay. Sorry, I didn't read what you wrote and jumped directly to the error. So it works now?

Last edited 4 years ago by Veence (Vincent) (previous) (diff)

comment:9 Changed 4 years ago by Veence (Vincent)

Resolution: invalid
Status: newclosed

Please retry with 2.16

Note: See TracTickets for help on using tickets.